--- title: "Get all repeat payments" slug: "get-all-repeat-payments" updated: 2025-02-26T12:16:53Z published: 2026-01-22T13:05:41Z canonical: "api-docs.blinkpayment.co.uk/get-all-repeat-payments" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt > Use this file to discover all available pages before exploring further. # Get all repeat payments Get/api/pay/v1/repeat-payments This endpoint gets the details of all repeat payment schedules created from a specific account. **Query Parameters** - payment_type: Repeat payment type. It must be either of the following values. It is passed to identify the type of the specific repeat schedule. This value cannot be updated. - fixed_schedule - variable_schedule - page (integer): Page number. - status (string): Repeat payment status. - Active - This means the payments have started - Pending - This means the first payment has not yet been processed - Cancelled - This means the schedule has been cancelled. No further payments will be processed - Completed - This means all the payments have been processed. No further payments will be processed **Response Parameters** The user will get a json response with all the repeat schedule related data SecurityHTTPType bearer Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c Query parameterspayment_typestringExamplefixed_schedule Responses200 Successful response